/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomText_H__
#define __GdomText_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCharacterData.h"
#include "gdom/GdomText.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomText GdomText;
typedef struct _GdomTextClass GdomTextClass;


#define GDOM_TYPE_TEXT            (gdom_text_get_type())
#define GDOM_TEXT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_TEXT, GdomText))
#define GDOM_TEXT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_TEXT, GdomText)Class)
#define GDOM_IS_TEXT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_TEXT))
#define GDOM_IS_TEXT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_TEXT))
#define GDOM_TEXT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_TEXT, GdomTextClass))

typedef struct _GdomTextPrivate GdomTextPrivate;

struct _GdomText {
    GdomCharacterData parent_instance;
    GdomTextPrivate *priv;
};

struct _GdomTextClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_text_get_type (void);

WEBKIT_API GdomText *
gdom_text_split_text (GdomText *thiz, gulong offset);

WEBKIT_API GdomText *
gdom_text_replace_whole_text (GdomText *thiz, gchar * content);

G_END_DECLS

#endif /* __GdomText_H__ */
